Subject: bug#13812: closed (Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Feb 2013 07:54:04 +0000

Your bug report

#13816: 24.3.50; cperl-hairy turns OFF font-lock

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13816: 24.3.50; turn-on-font-lock doesn't turn it on
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: Stefan Monnier <[email-masked]>
Date: Tue, 26 Feb 2013 16:51:10 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I confirmed it has been fixed on:

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-02-26 on yamaoka-PC
Bzr revision: 111882 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11302000

Sorry for the noise.

Katsumi Yamaoka wrote:
> Stefan Monnier wrote:
>>> Recently turn-on-font-lock set to some hook turns font-lock
>>> on but turns it off immediately regardless of the value of
>>> global-font-lock-mode.  Here's a recipe:

>>> emacs -Q
>>> Eval: (add-hook 'emacs-lisp-mode-hook 'turn-on-font-lock)
>>> and visit some .el file.

>> Works fine on the trunk right now.  Can you confirm it was fixed if you
>> try a recent enough build?

> I build Emacs from the trunk almost everyday.  Now I use:

> In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
>  of 2013-02-26 on localhost
> Bzr revision: 111880 [email-masked]
> Windowing system distributor `The Cygwin/X Project', version 11.0.11302000
> Configured using:
>  `configure --verbose --with-x-toolkit=lucid --without-imagemagick
>  --without-dbus --without-gconf --without-gsettings'

> I've reverted the 111870 change because of bug#13818, though.

> According to my tracing of run-mode-hooks, it turns on font-lock
> but turns it off by the last line:

> (defun run-mode-hooks (&rest hooks)
> [...]
>     ;; ON
>     (apply 'run-hooks (cons 'change-major-mode-after-body-hook hooks))
>     ;; OFF
>     (run-hooks 'after-change-major-mode-hook)))

Subject: 24.3.50; cperl-hairy turns OFF font-lock
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Mon, 25 Feb 2013 11:16:03 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I have had

--8<---------------cut here---------------start------------->8---
(fset 'perl-mode 'cperl-mode)
(custom-set-variables '(cperl-hairy t))
--8<---------------cut here---------------end--------------->8---

in my .emacs.el for a long time.
today, after a "bzr update" and "make bootstrap", this turns font lock
_off_ instead of on.

specifically:

emacs -Q
(fset 'perl-mode 'cperl-mode)
(custom-set-variables '(cperl-hairy t))
C-x C-f foo.pl RET
==> font lock is off

emacs -Q
(fset 'perl-mode 'cperl-mode)
C-x C-f foo.pl RET
==> font lock is on.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2013-02-25 on t520sds
Bzr revision: 111872 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description:	Ubuntu 12.04.2 LTS

Configured using:
 `configure --with-wide-int'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: C
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 12.04 (precise) X 11.0.11103000
http://www.childpsy.net/ http://jihadwatch.org http://palestinefacts.org
http://iris.org.il http://openvotingconsortium.org http://memri.org
The only intuitive interface is the nipple.  The rest has to be learned.